
TYPO3.Flow - Bug # 32665

Status: Closed Priority: Must have
Author: Sebastian Kurfuerst Category: Security
Created: 2011-12-18 Assigned To: Sebastian Kurfuerst
Updated: 2012-04-18 Due date:
PHP Version:
Has patch: No
Complexity:
Affected Flow version: FLOW3 1.0.1
Subject: CLI Requests must still work even if firewall rejectAll is set
Description

How to reproduce
just set:

TYPO3:
  FLOW3:
    security:
      firewall:
        rejectAll: true

and then run "./flow3 help" or any other command. You get:

Uncaught Exception
  The requst was blocked, because no request filter explicitly allowed it.

More Information
  Exception code      #1216923741
  File               
/Volumes/data/htdocs/FLOW3Base/Data/Temporary/Development/Cache/Code/FLOW3_Object_Classes/TYPO3_FLOW3_Security_Authorization_FilterFirewall_Original.php line 90
  Exception reference #20111218144757968c54

urity_Authorization_FilterFirewall_Original.php line 90
  Exception reference #20111218144757968c54

This obviously needs to be fixed.

Related issues:
related to TYPO3.Flow - Bug # 36030: Forwarding of CLI requests throws an exc... Resolved 2012-04-14

History
#1 - 2011-12-18 15:09 - Sebastian Kurfuerst
- Status changed from New to Accepted

#2 - 2011-12-18 16:29 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/7364

#3 - 2011-12-21 12:34 - Karsten Dambekalns
- Target version changed from 1.1 to 1.0.2
#4 - 2011-12-22 08:51 - Karsten Dambekalns
- Target version changed from 1.0.2 to 1.0.3

#5 - 2012-03-07 18:52 - Karsten Dambekalns
- Target version changed from 1.0.3 to 1.0.4

#6 - 2012-04-18 22:48 - Karsten Dambekalns
- Status changed from Under Review to Closed

Fixed with the solution for #36030…
